Skip to content
GET/organizations/{organizationId}/mandates/{mandateId}

Get mandate

Returns a specific mandate by its id with all of its details

Required permissions:

  • mandate.read

Path Parameters

organizationIdstringrequired
mandateIdstringrequired

Authentication: X-API-Key

Request

GET/organizations/{organizationId}/mandates/{mandateId}
curl --request GET 'https://cloud.campai.com/api/organizations/{organizationId}/mandates/{mandateId}' \
  --header 'X-API-Key: YOUR_API_KEY'

Responses

This endpoint returns different response codes based on the request outcome.

200Successful response

Content-Type: application/json

ObjectId as string

namestringrequired

minLength: 1

maxLength: 32

descriptionstringrequired

maxLength: 80

isDefaultbooleanrequired

ObjectId as string

maxItems: 200

Response

200
{
  "_id": "000000000000000000000001",
  "name": "string",
  "description": "string",
  "receiptNumberFormats": {},
  "datevMandateNumber": "",
  "isDefault": true,
  "defaultCreditTransferCashAccount": "000000000000000000000001"
}

400Invalid input data

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

400
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}

401Authorization not provided

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

401
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}

403Insufficient access

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

403
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}

404Not found

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

404
{
  "code": "NOT_FOUND",
  "message": "Not found",
  "issues": []
}

500Internal server error

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

500
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}